========================================================
==                                                    ==
==                   bbsMax 5 论坛                    ==
==                                                    ==
==          官方网站：http://www.bbsmax.com           ==
==                                                    ==
========================================================
2011年2月10日（5.0.3.0210）
1、修复了添加板块错误的问题
2、修复了管理员察看“分享”类型的举报链接错误的问题
3、修复了后台举报管理搜索功能出错的问题
4、修复了支付宝功能参数错误的问题
5、修复几处样式上的错误和其他bug

2011年1月31日（5.0.2.0131）
1、完善了升级程序，现在升级过程用户将可以看到管理员自定义的提示页面。
2、修改了模板运行机制，现在服务器上不需要保留_codes文件夹。
3、修正了部分浏览器无法打开flash附件的问题。
4、增加了水印功能。
5、修正了管理员编辑板块主题分类错误的问题。
6、修正了在线拍摄头像截取照片位置错误的问题。
7、修正了在某些服务器上，参数模式可能导致根目录无法浏览的问题。
8、增加了后台某些管理员操作的日志。
9、集成了soso表情，同时取消了用户自己上传表情（可能被恶意利用无限上传图片）。
10、修改了缩略图的管理方式。
11、修复了可视化编辑器中无故增加换行的问题。
12、修复了邀请任务完成情况无法实时在任务系统中显示的问题。
13、修正了大量细节错误。

2010年10月8日（5.0.1.1008）
1、修正了升级向导可能出错的问题。
2、修正了JS远程调用无效的问题。
3、修正了附件中大图片无法全显示的BUG。
4、修正了验证码点击刷新出错。
5、修正了移动板块主题分类的顺序后照成分类下的主题不显示的BUG。
6、修正了其他已知的BUG。

========================================================
2010年9月27日（5.0）
1、修正了JS远程调用的错误
2、修正了在线用户的BUG 
3、修正了短消息声音BUG
4、修正了购买道具的BUG。
5、改善了搜索页面的用户体验。
6、修正了其他已知的BUG。

========================================================
2010年8月7日（5.0RC2）
1、修正了简洁版不能访问的问题。
2、修正了无法进行好友印象评价。 
3、修正了对路径“e:\freehost\meixue\web\bin\”的访问被拒绝。
4、修正了新加版块后发帖失败的BUG。
5、修正了发帖不能上传图片的问题。
6、修正了后台无法批量删除评论的问题。
7、修正了会员搜索扩展字段的BUG。
8、修正了其他已知的BUG。

========================================================
2010年7月31日（5.0RC）
1、重写了帖子部分代码，降低了内存占用。
2、增加了支付宝、财付通、快钱的充值功能。
3、统一了模板引擎的语法。
4、新增了两套模板。
5、主题列表支持排序、筛选。
6、集成了通行证的挂接功能。
7、重写了JS调用。

========================================================


2010年3月5日（4.2.3）
1、提升了查看主题页面的性能
2、修改了附件保存的方式，改为按照日期存放，以方便备份
3、修正了编辑器中的email链接导致IE8脚本出错的情况
4、修正了编辑器中的[code]标签切换到可视化状态后多出“复制 - 运行”字样的问题
5、修正了其他已知的BUG

========================================================

2010年2月3日（4.2.2）
1、增加了图标链接 增加了对用户图标的管理
2、修正了安全漏洞
3、修正了其它已知BUG

========================================================

2010年1月26日（4.2.1）
1、修正了修改密码后可能不能立即登陆的问题
2、稍微降低了CPU和内存占用
3、修正了公告列表可能显示不完整的问题
4、修正了整个系统中第二页数据可能不显示的问题
5、修正了后台设置允许上传到网络硬盘的文件列表后前台不能正确筛选文件的问题
6、修正了后台不能批量删除附件的问题

========================================================

2010年1月11日（4.2正式版）
1、进行搜索引擎优化
2、继续改进程序性能， 并进一步降低内存和CPU的占用
3、修正后台版主管理对话框打不开的BUG
4、修正帖子引用丢失的BUG
5、编辑器部分字体大小映射错误的BUG

========================================================

2009年12月25日(4.2beta)
1、解决了文件下载可能不全的BUG
2、极大提高了性能 页面打开速度变快
3、修正已知的所有BUG

========================================================
2009年11月30日(4.1)
1、为道具重新设计了图标
2、在后台提供了hide标签、主题出售功能、附件出售功能的开关
3、修复了不能从3.0直接升级到4.1版本的bug
4、强化了对垃圾文件的检查，对垃圾文件的清理更彻底
5、修正了任务系统的BUG
6、修正了在帖子中使用道具始终是对楼主使用的BUG
7、修正了部分文件不能完全下载、部分图片显示不正常的BUG
8、增加了获得商业授权的用户在输入授权码后可以不显示顶部版权信息的功能
9、修正已知的所有BUG

========================================================

2009年11月16日(4.1beta)

1、新加入道具功能
2、重新设计文件系统
3、改善部分页面性能
4、大数据量站点删除用户超时
5、修正部分邮箱不能通过Email验证的Bug
6、修正群发通知不能全部忽略的BUG
7、增加对话关闭功能
8、编辑器内容比较长时造成页面无响应
9、用户组颜色无效
10、用户资料编辑里的签名编辑器造成页面无法打开
11、增加重新发送邮箱激活邮件
12、注册欢迎邮件错误
13、通知群发多个用户组时重复接收的问题

========================================================

2009年10月20日(4.0.6)
修正前一天发布的4.0.5版所发现的以下问题

1、用户无法修改头像
2、简洁版链接错误
3、同时修改用户的多个勋章或用户组时，用户组丢失的问题

========================================================

2009年10月19日(4.0.5)

1、给“任务”功能增加了开关
2、修复了任务设置了指定用户组才能申请的情况下导致崩溃的问题
3、优化了操作用户积分的性能
4、全站屏蔽时没有屏蔽用户空间的BUG
5、增加了管理员可以查看被屏蔽用户的空间功能
6、修正了后台编辑版块、分类别名的错误
7、修正了广告按版块投放的错误
8、修正了登陆成功后不能回到之前浏览的页面的问题
9、修正了用户控制面板的积分规则、个人隐私设置、用户管理菜单中对应于每个应用的项没有随应用关闭而隐藏的BUG
10、修正了相册图片选择对话框不能选择.jpeg后缀文件的BUG
11、修正了回复留言时内容空格被编码的BUG
12、修正了帖子内容中的&被错误编码的BUG
13、修正了会员搜索年龄段出错的BUG
14、修正了百度优化sitemap生成错误的BUG
15、增加了编辑帖子时可以选择是否保留编辑痕迹的功能
16、调整了用户组的设计
17、其他一些细节的调整以及已知BUG的修正

========================================================

2009年9月28日(4.0.4)

1、后台增加了"重新统计数据"
2、后台增加了"内存整理"
3、增加了"顶部导航链接"管理
4、增加了"好友印象"
5、修正了防盗链BUG
6、修正了“必须通过邮箱验证，验证后会员总数和新会员”统计错误的问题
7、修正了其他已知的大部分BUG

========================================================

2009年9月14日(4.0.3)

1、继续优化了内存的使用，并避免了可能导致重启的一处BUG
2、实现了“大文件上传”特性，现在上传功能已经不存在4M的文件大小限制
3、完善了编辑器的功能，解决了对 GreenBrowser 的兼容问题，并提高载入速度
4、修正了后台“搜索引擎”设置被遮挡导致无法找到的BUG
5、修正了查看附件时，如果没有权限，无法正确显示错误信息的BUG
6、修正了搜索功能的错误
7、修正了统计当日发帖错误的BUG
8、修正了“必须通过邮箱验证，验证后会员总数和新会员”统计错误的问题
9、修正了插入播放器在部分浏览器下不能正确显示的BUG
10、修正了升级导致验证码丢失的BUG
11、修正了屏蔽用户对话框的遮罩层在非IE浏览器下无法正确显示的问题
12、修正了上传附件超出大小、超出个数的错误提示不能正确显示的问题
13、修正了编辑帖子时间限制没保存成功的问题
14、修正了编辑辩论帖的错误
15、增加了待处理举报的前台提示。
16、增加了回复评论时发送通知提示被回复人。
17、优化了“友情链接”的性能
18、优化了“屏蔽用户”的性能
19、修正了其他已知的大部分BUG

========================================================

2009年9月8日 (4.0.2)

1、优化了内存的使用，并将在后续版本中继续大幅度优化
2、大幅度提高了编辑器的载入速度
3、增加了编辑帖子可以设置多少时间内可以编辑的功能
4、大幅度完善了搜索功能，搜索性能得到极大提升
5、对之前部分用户升级但数据库没有升级到最新的情况作出了改正
6、修正了用户空间查看相片不能直接返回上级看相册内容
7、修正了用户中心的收藏出现评论链接
8、修正了用户空间首页的各个内置应用的内容调用在关掉相应功能时还会显示
9、修正了用户列表扩展字段搜索用户时出现SQL错误
10、修正了编辑器多媒体自动播放选项无效
11、修正了激活用户邮件地址不正确
12、修正了编辑器:编辑帖子的时候，前后会分别多出来两个color代码
13、修正了帖子页用户管理菜单错误
14、改进了添加好友不能新建分组的不足
15、改进了短消息声音的播放
16、修正用户中心对话记录不能翻页
17、新加系统通知群发功能
18、修正了其他已知的大部分BUG

========================================================

2009年9月1日 (4.0.0901RTM)
1、 修正了PreRTM暴露出来的问题。
2、 加入多媒体本地上次的支持
3、 修改了编辑器的部分BUG

========================================================

2009年8月27日 (4.0.0827PreRTM)
1、 修正了BUG，可以较稳定的运行

========================================================

2009年8月25日 (4.0.0825RC2)

1、重写了权限系统的代码 。

2、增强了原有的模版和插件管理功能。

========================================================

2009年8月10日  (4.0.0810 RC1)

  1、首次支持从 3.0 版本升级和向导式安装

  2、解决了大量BUG和影响稳定性、性能的有问题

========================================================

2009年7月21日  (4.0.0804 beta4)

  1、修改BUG

========================================================

2009年7月14日  (4.0.0707 beta3)

  1、修改BUG

========================================================

2009年7月7日  (4.0.0707 beta2)

  1、修改BUG

========================================================

2009年6月31日  (4.0.0631 beta1)

  1、首次重构架构

  2、更换html编辑器

  3、增加日志、相册、留言、空间、记录、分享、好友、通知、任务、对话等类似SNS的功能

========================================================

2008年12月3日  (3.0.1201)

  1、解决了编辑器的记忆恢复问题

  2、解决了访问量过大造成的“集合已被更改”的错误

  3、其他细节和bug休整

========================================================

2008年11月27日  (3.0.1127 beta)

  1、解决了编辑器的一部分性能问题

  2、解决了全新安装1122版本导致一个关键表缺少默认数据导致的众多功能失效

  3、修改表情的表示方式，使用更简短的代码

  4、其他的众多细节修改

========================================================

2008年11月22日  (3.0.1122 beta)

  1、解决了编辑器假死的问题

  2、网络硬盘允许关闭，关闭后自动切换为附件模式

  3、记录了用户每次IP变更的详细日志

  4、没有权限查看精华贴改为可以进入主题，但不能查看内容

  5、修改了页面布局，突出了回复和引用

  6、增强了版主管理中心

  7、其他的众多细节修改

========================================================

2008年9月9日  (3.0.0909 beta)

  1、解决了升级的用户附件不能正常查看的BUG

  2、新增了网络硬盘缩略图模式

  3、修复了从2.3版本升级安装失败的BUG

  4、修复了安装向导权限有一处遗漏的问题

  5、改进了bbsmax中图片尚未完全加载时无法显示对话框和警告框的问题

  6、改进了一些虚拟主机用户无法使用axd后缀的问题

  7、改进了低网速下对话框、警告框不能立即显示的问题

  8、继续完善了头像设置模式

  9、修复了以前版本发现的错误若干

========================================================

2008年8月26日  (3.0.0825 beta)

  1、修复了上传功能不能使用的BUG

  2、修复了一处SQL注入漏洞（其他的尚在检查中）

  3、修复了一处XSS漏洞(其他的尚在检查中)

  4、修复了安装向导在FAT32格式下无法通过权限检查的BUG

  5、修复了IIS7下gzip异常的问题

  6、修复了音频、视频不能播放的问题

  7、修复了其他若干BUG

========================================================

2008年8月20日  (3.0.0820 beta)

  1、内置了人性化的安装向导，并支持从2.0或2.3版本直接升级安装

  2、解决了注册帐号发送邮件导致的出错

  3、解决了页面底部风格不能切换的问题

  4、改善了修改模板页面可能不会生效的情况

  5、改善了在线用户太多导致的html庞大的问题

  6、可视化编辑器增加了对flash和多媒体的可视化支持

  7、增加了完善的新版本检查机制

  8、出错页面不在保留bbsmax.com链接

  9、头像设置方式增加了flash模式，可以在线裁减和拍摄，并支持裁减动画及连拍动画

  10、解决了安装在虚拟目录中的时候，根目录安装其他.net程序可能导致冲突的问题

  10、解决了0730 beta 中发现的其他大量bug

========================================================

2008年7月30日  (3.0.0730 beta)

  1、重构了大部分的代码

  2、全新设计的用户中心

  3、全新设计的管理员后台

  4、增加了大量ajax的操作，提高用户体验

  5、解决了大量BUG

  6、和 cnzz 合作，内置了 wss 统计

========================================================

2008年2月29日  (2.3.0229)

  1、修正了sqlite版本时间字段导致的错误

  2、修正了移动的帖子被删除后列表出错的错误

========================================================

2008年2月28日  (2.3.0228)

  1、修正BUG无数

  2、增加了对 Sqlite 数据库的支持 （由于bbsMax自带了数据库

     引擎，和Access一样不需要服务器额外支持，且性能可以匹敌 MySql）

  3、增加了对Baidu收录协议的支持

  4、极大强化了后台的功能

  5、制作了配套的 Discuz、Dvbbs 到 bbsMax 2.3 的转换器

========================================================

2007年12月3日  (2.0.0)

  1、重写代码，不再继续支持 .Net 1.1

  2、全部改用存储过程，增加支持Sql Server 2005

  3、不再继续支持性能低下的 Access

  4、全新的类似windows的基于角色的权限体系

  5、支持和QQ表情互通

  6、支持网络硬盘

========================================================

2003年3月25日  (1.5 beta3)

  1、实现了自动更新

  2、修正了大量BUG

========================================================

2002年12月15日  (1.0)

  1、支持 Sql Server 2000

  2、支持 Access

  3、支持 .Net 1.1

